package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.DataPertanyaanSkriningGizi;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DataPertanyaanSkriningGizi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_DataPertanyaanSkriningGizi_M")
public class DataPertanyaanSkriningGiziVO extends BaseMasterVO {
	@NotNull(message="Stat tidak boleh kosong")
	@Column(name = "Stat", nullable = false, length = 100)
	@Caption(value = "Stat")
	private String stat;
	public void setStat(String stat)
	{
		this.stat = stat;
	}
	public String getStat()
	{
		 return this.stat;
	}


	@NotNull(message="Name tidak boleh kosong")
	@Column(name = "Name", nullable = false, length = 100)
	@Caption(value = "Name")
	private String name;
	public void setName(String name)
	{
		this.name = name;
	}
	public String getName()
	{
		 return this.name;
	}

	@Column(name = "Nilai", nullable = false, length = 255)
	@Caption(value = "Nilai")
	private Integer nilai;
	public Integer getNilai() {
		return nilai;
	}
	public void setNilai(Integer nilai) {
		this.nilai = nilai;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectpertanyaanSkriningGiziFk")
	private DataPertanyaanSkriningGiziVO dataPertanyaanSkriningGizi;
	
	@Column(name = "ObjectpertanyaanSkriningGiziFk", insertable = false, updatable = false)
	private Integer dataPertanyaanSkriningGiziId;
	
	@Column(name = "kategori", nullable = false, length = 1)
	@Caption(value = "kategori")
	private String kategori;

	public DataPertanyaanSkriningGiziVO getDataPertanyaanSkriningGizi() {
		return dataPertanyaanSkriningGizi;
	}
	public void setDataPertanyaanSkriningGizi(DataPertanyaanSkriningGiziVO dataPertanyaanSkriningGizi) {
		this.dataPertanyaanSkriningGizi = dataPertanyaanSkriningGizi;
	}
	public Integer getDataPertanyaanSkriningGiziId() {
		return dataPertanyaanSkriningGiziId;
	}
	public void setDataPertanyaanSkriningGiziId(Integer dataPertanyaanSkriningGiziId) {
		this.dataPertanyaanSkriningGiziId = dataPertanyaanSkriningGiziId;
	}
	public String getKategori() {
		return kategori;
	}
	public void setKategori(String kategori) {
		this.kategori = kategori;
	}

}